# SPDX-License-Identifier: MIT
%global source_version 1.00
%global source_release 9
%global project_name   clear-sans
%global source_url     https://01.org/%{project_name}

%global default_fonts_foundry  Intel
%global default_fonts_license  ASL 2.0
%global default_fonts_licenses LICENSE-2.0.txt

%global fonts_family             Clear Sans
%global fonts_summary            Clear Sans, a versatile font family for screen, print, and Web
%global fonts_fonts              TTF/*.ttf
%global fonts_experimental_confs 60-%{fonts_name}.xml
%global fonts_description        %{expand:
Clear Sans has been recognized as a versatile font for screen, print, and Web.
Its minimized, unambiguous characters and slightly narrow proportions, make it
ideal for UI design.

Clear Sans was designed with on-screen legibility in mind. It strikes a balance
between contemporary, professional, and stylish expression and thoroughly
functional purpose. It has a sophisticated and elegant personality at all
sizes, and its thoughtful design becomes even more evident at the thin weight.}

%auto_init
%auto_pkg

%sourcelist
https://01.org/sites/default/files/downloads/%{project_name}/clearsans-%{version}.zip
60-%{fonts_name}.xml

%prep
%auto_prep
%setup -q -c
install -m 644 %{_sourcedir}/*xml .

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
* Sat May 30 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.00-9
🚒 Rebuild with fonts-rpm-macros 4.0.2, fixing rpm 4.15 regressions

* Wed Apr 29 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.00-8
🆕 Update to use fonts-rpm-macros 4.x

* Mon Apr 27 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.00-7
🐞 Workaround Fedora problems created by rpm forge_commit 93604e2

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.00-6
💥 Actually rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are
  valid

* Sat Mar  7 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 1.00-3
✅ Initial packaging
